### Enumeration

# Handy LeafletTransitionType

since: 1.0

#### Declaration

    enum Handy.LeafletTransitionType

#### Description [src]

Describes the possible transitions in a `HdyLeaflet` widget.

New values may be added to this enumeration over time.

Available since: 1.0

#### Members

`HDY_LEAFLET_TRANSITION_TYPE_OVER`

  Cover the old page or uncover the new page, sliding from or towards the end according to orientation, text direction and children order.

  - Value: `0`
  - Available since: 1.0
`HDY_LEAFLET_TRANSITION_TYPE_UNDER`

  Uncover the new page or cover the old page, sliding from or towards the start according to orientation, text direction and children order.

  - Value: `1`
  - Available since: 1.0
`HDY_LEAFLET_TRANSITION_TYPE_SLIDE`

  Slide from left, right, up or down according to the orientation, text direction and the children order.

  - Value: `2`
  - Available since: 1.0